Skip to Content
Reviews APIGETRetrieve a review

Retrieve a review

GET/api/v2/reviews/{reviewId}

Returns a single review object.

Path parameters

ParamTypeRequiredDescription
reviewIdnumberRequiredThe id of the review to return.

Request

GET /api/v2/reviews/{reviewId}
curl --location 'https://www.reviewsolicitors.co.uk/api/v2/reviews/{reviewId}' \ --header 'Authorization: Bearer {access_token}'

Response

200 OK
{ "id": 0, "reviewDate": "2026-01-31", "title": "string", "text": "string", "rating": 0, "workArea": "string", "mainWorkAreaName": "string", "subWorkAreaName": "string", "reference": "string", "satisfied": false, "recommended": false, "response": "string", "responseBy": "string", "responseDate": "2026-02-01T09:30:00", "stats": { "initialImpressions": 0, "legalKnowledge": 0, "valueForMoney": 0, "approachability": 0, "documentationAccuracy": 0, "communication": 0 }, "professionals": [ { "id": 0, "name": "string", "profileImage": "string", "regulatorId": "string", "url": "string" } ], "reviewerName": "string", "reviewerProfilePicture": "string", "reviewerVerified": false, "source": "string", "helpfulCount": 0, "customQuestions": [ { "question": "string", "answer": "string" } ] }

The example above contains placeholder data. Actual reviews carry your firm’s own content.

The review object

FieldTypeDescription
idnumberAn arbitrary ID for the review. Can be used to check for new reviews vs updated reviews.
reviewDatestringThe date of the review, as YYYY-MM-DD.
titlestringThe review title.
textstringThe review text.
ratingnumberOur star rating. Min = 1; Max = 5.
workAreastringThe area of law the reviewer has selected for the service they received from the law firm.
mainWorkAreaNamestringThe top level work area name.
subWorkAreaNamestringThe sub work area name, where one applies.
referencestringThe client case reference.
satisfiedbooleanTrue/false for the question ‘Were you satisfied with our service?’
recommendedbooleanTrue/false for the question ‘Would you recommend this firm to family and friends?’
responsestringYour firm’s published reply to the review, if one has been posted.
responseBystringWho posted the reply.
responseDatestringWhen the reply was posted, as a date and time.
statsobjectThe reviewer’s rating breakdown. See below.
professionalsobject[]The professionals named in the review. See below.
reviewerNamestringThe reviewer’s display name.
reviewerProfilePicturestringURL of the reviewer’s profile picture.
reviewerVerifiedbooleanWhether the reviewer has been verified.
sourcestringWhere the review came from.
helpfulCountnumberHow many people marked the review as helpful.
customQuestionsarrayThe client’s answers to your firm’s custom questionnaire questions. Empty when the review has none. See the custom question object.

The stats object

FieldTypeDescription
initialImpressionsnumberScore for the reviewer’s first impressions of the firm.
legalKnowledgenumberScore for the firm’s legal knowledge.
valueForMoneynumberScore for value for money.
approachabilitynumberScore for how approachable the firm was.
documentationAccuracynumberScore for the accuracy of the documentation.
communicationnumberScore for the firm’s communication.

The professional object

FieldTypeDescription
idnumberThe professional’s ID.
namestringThe professional’s name.
profileImagestringURL of the professional’s profile image.
regulatorIdstringThe professional’s regulator ID.
urlstringURL of the professional’s profile.

The custom question object

FieldTypeDescription
questionstringThe question as it appeared on your questionnaire when the review was left.
answerstringThe client’s answer as text, or null if they skipped the question.

Errors

CodeCause
404No published review with that reviewId belongs to your firm. Reviews that are pending, suspended or removed, and reviews imported from Trustpilot, are not returned.
Last updated on